Description
There are three different export options in the "Export to" wizard (e.g. output format --> Shape):
    -  all records;
    -  selected records;
    -  records which satisfy a selected criterion.
The first two options work fine, while the third one needs further refinements.
In detail, the user finds three text boxes to specify the criterion:
    -  the first one (unnamed) is unclear (recent expressions or what?);
    -  the second one (Nombre) is unclear (name of what?);
    -  the latest one (Expresion) is clear, but...

...it works fine only if the user knows a bit of SQL and, above all, remembers the field names.
So IMHO an expression (SQL query) builder very similar to the Filter window is needed here.

History
#1 - 08/04/2014 09:17 AM - Joaquín  del Cerro Murciano

Antonio Falciano wrote:
There are three different export options in the "Export to" wizard (e.g. output format --> Shape):    -  all records;
    -  selected records;
    -  records which satisfy a selected criterion.
The first two options work fine, while the third one needs further refinements.
In detail, the user finds three text boxes to specify the criterion:
    -  the first one (unnamed) is unclear (recent expressions or what?);

Pues si, ahi deberian mostrarse las ultimas expresiones de filtro usadas a las que se les ha dado un nombre,

    -  the second one (Nombre) is unclear (name of what?);

Seria el nombre que se le quiere dar a la expresion para guardarla

    -  the latest one (Expresion) is clear, but...
...it works fine only if the user knows a bit of SQL and, above all, remembers the field names.
So IMHO an expression (SQL query) builder very similar to the Filter window is needed here.

Bueno, vere a ver si puedo poner algo aqui.
Respecto a que no esta claro que es cada campo, la verdad es que si. No esta claro.

¿ Alguna idea de que hacer para mejorarlo ?

#2 - 08/04/2014 11:08 AM - Antonio Falciano
Ok, so the logic behind the three export options should be:    1. all records;
    2. only selected records;
    3. only records that satisfy the following expression:
        -  new expression
        -  saved expression

In reference to the point 3., reusing the same controls, we should add a label before the first text box (e.g. "Saved expressions"), then the label relative
to the second text box should be e.g. "Name of the expression (optional)", while the latest label ("Expression") is ok. Furthermore, I'd add a tooltip to
the second text box like "Type here the name of the expression if you want to save it, otherwise leave it blank". Although, the first time the user tries to
export something the "saved expressions" text area is empty, so it could be not immediate for all to type a new expression...

On the other side, following the logic "new / saved expression", we should need two new radio buttons ("new expression" and "saved expression").
After the first radio button, there should be the "Expression" text area and then the "Name of the expression (optional)" text box. Instead, after the
"saved expression" radio button, we should put the "Saved expressions" list.

In both approaches, a "Filter" button (that opens an expression builder) near the "Test" one would allow to save a lot of time when typing expressions.

#3 - 08/04/2014 08:17 PM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano

Menos el boton de "Filter" saldra en el proximo build, salvo errores, claro.
A ver si para el siguiente sale con el boton de "Filter".
Muchas gracias ;)

#4 - 08/05/2014 04:28 AM - Antonio Falciano
It's more clear now, thank you very much Joaquin.
Other suggestions:
    -  the "new expression" radio button should be active by default (because it's the more frequent task) and then it should be placed before the "use a
saved expression" one.
    -  a combo box for the saved expressions may be more compact and less dispersive, so you can reduce the height of the wizard about 100-150 px.

We need only the i18n strings and the filter now. ;)

#5 - 08/27/2014 04:04 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.2.0-2311-rc2

#6 - 01/27/2015 02:32 PM - Álvaro Anguix
- Category set to Document view

#7 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)
#8 - 10/17/2019 03:11 PM - Álvaro Anguix
- Status changed from New to Outdated

Se ha cambiado el Exportador de capas.
